# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' Levenshtein distance
#'
#' This function return Levenshtein distance between two string.
#' source: https://en.wikibooks.org/wiki/Algorithm_Implementation/Strings/Levenshtein_distance#C++
NULL

#' Hamming Distance
#' 
#' This function return hamming distance between two string.
#' If the two string do not have the same length, it will
#' return 999.
#'
#' @param s1, s2 two string
NULL

#' Sequence clustering
#' 
#' This function will merge the UMIs by using the 
#' hamming distance. If two UMIs have hamming distance
#' no more than 1, only the UMI with more reads
#' will be kept.
#' 
#' This function will return the corrected UMI list.
#'
#' @param seq A string vector.
#' @param count An integer vector with the same order and length of UMI
#' @param count_threshold An integer, barcode count threshold to consider a
#' barcode as a true barcode, when when a barcode with count higher than this
#' threshold it will not be merged into more abundant barcode.
#' @param dist_threshold A integer, distance threshold to consider two barcodes
#' are related.
#' @param dist_method A integer, if 2 the levenshtein distance will be used,
#' otherwise the hamming distance will be applied.  
#' @param insert_cost A integer, the insert cost when levenshtein distance is applied.
#' @param delete_cost A integer, the delete cost when levenshtein distance is applied.
#' @param replace_cost A integer, the replace cost when levenshtein distance is
#' applied.
#' @return a list with two data.frame. seq_freq_tab: table with barcode and
#' corrected ' sequence reads; link_tab: data table record for the clustering
#' process with ' first column of barcode be merged and second column of barcode
#' that merge to.
seq_correct <- function(seq, count, count_threshold, dist_threshold, dist_method = 1L, insert_cost = 1L, delete_cost = 1L, replace_cost = 1L) {
    .Call('_CellBarcode_seq_correct', PACKAGE = 'CellBarcode', seq, count, count_threshold, dist_threshold, dist_method, insert_cost, delete_cost, replace_cost)
}

